Subject: Re: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 20 Nov 2013 09:48:48 +0100

Stefan Monnier wrote:
>> --8<---------------cut here---------------start------------->8---
>> ;; highlight trailing whitespaces in all modes
>> (setq-default show-trailing-whitespace t)
>> --8<---------------cut here---------------end--------------->8---
>
> Can you try to compare the performance of revision 114849 and
> revision 114848?  The difference between the two is that the region
> highlighting was moved from C to Elisp.  This usually shouldn't affect
> performance, but maybe there's some interaction with redisplay
> that ends up disabling most optimizations?

I can compare such versions, if I can find the Windows binaries somewhere. I
don't have the ability to construct it by myself -- yet.

Best regards,
  Seb

-- 
Sebastien Vauban